---
title: Window.orientation
slug: Web/API/Window/orientation
tags:
  - NeedsContent
---
<div>{{APIRef}}{{deprecated_header}}</div>

<h2 id="Summary">Summary</h2>

<p>Returns the orientation in degrees (in 90-degree increments) of the viewport relative to the device's natural orientation.</p>

<p>Its only possible values are <code>-90</code>, <code>0</code>, <code>90</code>, and <code>180</code>. Positive values are clockwise; negative values are counterclockwise.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Compat', '#dom-window-orientation', 'Window.orientation')}}</td>
   <td>{{Spec2('Compat')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.orientation")}}</p>
